# Uses of Class
org.codehaus.commons.compiler.AbstractJavaSourceClassLoader

Packages that use AbstractJavaSourceClassLoader
Package
Description
org.codehaus.commons.compiler
This package declares interfaces for the implementation of an `IExpressionEvaluator`, an `IScriptEvaluator`, an `IClassBodyEvaluator` and an `ISimpleCompiler`.
org.codehaus.commons.compiler.jdk
An implementation of the `org.codehaus.commons.compiler` API that uses the "JAVAC" Java compiler that is part of the "Java Development Kit" (JDK).
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of AbstractJavaSourceClassLoader in org.codehaus.commons.compiler

Methods in org.codehaus.commons.compiler that return AbstractJavaSourceClassLoader
Modifier and Type
Method
Description
`AbstractJavaSourceClassLoader`
AbstractCompilerFactory.`newJavaSourceClassLoader()`
`AbstractJavaSourceClassLoader`
AbstractCompilerFactory.`newJavaSourceClassLoader(ClassLoader parentClassLoader)`
`AbstractJavaSourceClassLoader`
ICompilerFactory.`newJavaSourceClassLoader()`
`AbstractJavaSourceClassLoader`
ICompilerFactory.`newJavaSourceClassLoader(ClassLoader parentClassLoader)`

## Uses of AbstractJavaSourceClassLoader in org.codehaus.commons.compiler.jdk

Subclasses of AbstractJavaSourceClassLoader in org.codehaus.commons.compiler.jdk
Modifier and Type
Class
Description
`class`
`JavaSourceClassLoader`
A `ClassLoader` that loads classes by looking for their source files through a "source path" and compiling them on-the-fly.
Methods in org.codehaus.commons.compiler.jdk that return AbstractJavaSourceClassLoader
Modifier and Type
Method
Description
`AbstractJavaSourceClassLoader`
CompilerFactory.`newJavaSourceClassLoader()`
`AbstractJavaSourceClassLoader`
CompilerFactory.`newJavaSourceClassLoader(ClassLoader parentClassLoader)`

## Uses of AbstractJavaSourceClassLoader in org.codehaus.janino

Subclasses of AbstractJavaSourceClassLoader in org.codehaus.janino
Modifier and Type
Class
Description
`class`
`CachingJavaSourceClassLoader`
A `JavaSourceClassLoader` that uses a resource storage provided by the application to cache compiled classes and thus saving unnecessary recompilations.
`class`
`JavaSourceClassLoader`
A `ClassLoader` that, unlike usual `ClassLoader`s, does not load byte code, but reads Java source code and then scans, parses, compiles and loads it into the virtual machine.
Methods in org.codehaus.janino that return AbstractJavaSourceClassLoader
Modifier and Type
Method
Description
`AbstractJavaSourceClassLoader`
CompilerFactory.`newJavaSourceClassLoader()`
`AbstractJavaSourceClassLoader`
CompilerFactory.`newJavaSourceClassLoader(ClassLoader parentClassLoader)`